107
PROC PASS
END
PROC FOO1
CALL PASS
CALL PASS
CALL PASS
END
PROC FOO2
CALL FOO1
CALL PASS
CALL FOO1
CALL FOO1
CALL PASS
END
PROC FOO3
CALL FOO2
CALL FOO1
CALL FOO2
CALL FOO2
END
PROC FOO4
CALL FOO2
CALL PASS
CALL FOO2
CALL PASS
CALL PASS
CALL FOO2
END
PROC FOO5
CALL FOO3
CALL FOO4
CALL FOO3
END
PROC FOO6
CALL FOO3
CALL FOO5
CALL FOO4
CALL FOO3
CALL FOO5
END
PROC FOO7
CALL FOO6
CALL FOO6
END
PROC FOO8
CALL FOO7
CALL FOO4
CALL FOO6
CALL FOO4
CALL FOO5
CALL FOO7
CALL FOO4
END
PROC FOO9
CALL FOO8
CALL FOO4
CALL FOO8
CALL FOO7
CALL FOO6
CALL FOO4
CALL FOO8
END
PROC FOO0
CALL FOO9
CALL FOO4
CALL FOO9
CALL FOO3
CALL FOO5
CALL FOO3
END
PROC BAR0
CALL FOO3
CALL BAR3
END
PROC BAR1
CALL FOO8
CALL FOO0
CALL FOO5
CALL FOO9
CALL FOO4
CALL PASS
CALL FOO0
END
PROC BAR2
CALL FOO1
CALL BAR1
CALL FOO5
CALL BAR1
CALL FOO8
CALL BAR1
END
PROC BAR3
CALL BAR0
END
PROC MAIN
CALL FOO8
CALL FOO7
CALL FOO5
CALL BAR2
CALL FOO9
CALL BAR2
CALL FOO8
CALL BAR0
CALL FOO0
CALL PASS
CALL FOO7
END
